Subject: bug#45800: 27.1; ibuffer sort by filename/process fails with Dired

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 17 Jan 2021 15:27:50 +0000

Fabrice BAUZAC-STEHLY <[email-masked]> writes:

> To fix this on my side, I have replaced both occurrences of
>   (buffer-file-name (car X))
> with
>   (with-current-buffer (car X) (ibuffer-buffer-file-name))
> which seems to work:

Thanks, that looks correct.  Would you like to provide a patch against
master to that effect?

I think your cumulative changes would still be exempt of copyright
paperwork, but would you be willing to start the copyright assignment
process for future changes that exceed the limit, if you haven't
already?

-- 
Basil